SeExpr

Public Member Functions | Private Attributes | List of all members
SeExprInternal2::DebugLock< T > Class Template Reference

`#include <Mutex.h>`

Inheritance diagram for SeExprInternal2::DebugLock< T >:

## Public Member Functions
| DebugLock ()
void | lock ()
void | unlock ()
bool | locked ()

## Private Attributes
int | _locked

## Detailed Description

### template<class T>
class SeExprInternal2::DebugLock< T >

Definition at line 28 of file Mutex.h.

## Constructor & Destructor Documentation

## ◆ DebugLock()

template<class T >

SeExprInternal2::DebugLock< T >::DebugLock | ( |  | ) |
| inline

Definition at line 30 of file Mutex.h.

## Member Function Documentation

## ◆ lock()

template<class T >

void SeExprInternal2::DebugLock< T >::lock | ( |  | ) |
| inline

Definition at line 31 of file Mutex.h.

References SeExprInternal2::DebugLock< T >::_locked.

Referenced by SeExpr2::ExprFunc::define(), SeExpr2::ExprFunc::getDocString(), SeExpr2::ExprFunc::getFunctionNames(), and SeExpr2::ExprFunc::lookup().

## ◆ locked()

template<class T >

bool SeExprInternal2::DebugLock< T >::locked | ( |  | ) |
| inline

Definition at line 40 of file Mutex.h.

References SeExprInternal2::DebugLock< T >::_locked.

## ◆ unlock()

template<class T >

void SeExprInternal2::DebugLock< T >::unlock | ( |  | ) |
| inline

Definition at line 35 of file Mutex.h.

References SeExprInternal2::DebugLock< T >::_locked.

Referenced by SeExpr2::ExprFunc::define(), SeExpr2::ExprFunc::getDocString(), SeExpr2::ExprFunc::getFunctionNames(), and SeExpr2::ExprFunc::lookup().

## Member Data Documentation

## ◆ _locked

template<class T >

int SeExprInternal2::DebugLock< T >::_locked
| private

Definition at line 43 of file Mutex.h.

Referenced by SeExprInternal2::DebugLock< T >::lock(), SeExprInternal2::DebugLock< T >::locked(), and SeExprInternal2::DebugLock< T >::unlock().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Mutex.h